# https://pypi.python.org/packages/8a/ad/cf6b128866e78ad6d7f1dc5b7f99885fb813393d9860778b2984582e81b5/prompt_toolkit-1.0.15.tar.gz
%global module prompt_toolkit

Name:           python-%{module}
Version:        1.0.15
Release:        %mkrel 1
Summary:        Library for building powerful interactive command lines in Python

License:        BSD
Group:          Development/Python
URL:            https://pypi.python.org/pypi/prompt_toolkit/1.0.15
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-pygments
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-wcwidth
BuildRequires:  python3-devel
BuildRequires:  python3-pygments
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
BuildRequires:  python3-wcwidth
Requires:       python-pygments
Requires:       python-six
Requires:       python-wcwidth
Provides:       python-prompt-toolkit = %{version}-%{release}

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python
Requires:       python3-pygments
Requires:       python3-six
Requires:       python3-wcwidth
Provides:       python3-prompt-toolkit = %{version}-%{release}

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc LICENSE PKG-INFO README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE PKG-INFO README.rst
%{python3_sitelib}/*

%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 1.0.15-1uplos2018
- imported for uplos
